Subject: Re: bug#69598: 29.2; colour support based on $TERM value not terminfo database

From: Eli Zaretskii <[email-masked]>
Date: Thu, 07 Mar 2024 08:47:37 +0200

> Cc: Jeremie Courreges-Anglas <[email-masked]>
> Date: Wed, 06 Mar 2024 23:01:46 +0000
> From: chohag--- via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <[email-masked]>
> 
> (CC'd OpenBSD maintainer in case it's a packaging issue somehow)
> 
> Emacs with direct colour works only if $TERM is set to xterm-direct.
> Even if $TERM refers to a terminfo entry that is identical (confirmed
> by infocmp):
> 
>         turtle-direct|Test Emacs,use=xterm-direct,
> 
> Within xterm, if TERM is set to turtle-direct and emacs launched with
> -nw, list-colors-display only lists 8 colours.

I believe this is some issue with terminfo, since I see no hits for
the "xterm-direct" string in our sources.

> I am on OpenBSD -current as of a day or so ago.
> 
> I haven't tested any other values of $TERM and don't know of any
> with direct colour support anyway.

>From NEWS:

  ** Emacs can support 24-bit color TTY without terminfo database.
  If your text-mode terminal supports 24-bit true color, but your system
  lacks the terminfo database, you can instruct Emacs to support 24-bit
  true color by setting 'COLORTERM=truecolor' in the environment.  This is
  useful on systems such as FreeBSD which ships only with "etc/termcap".

  *** Emacs will now use 24-bit colors on terminals that support "Tc" capability.
  This is in addition to previously-supported ways of discovering 24-bit
  color support: either via the "RGB" or "setf24" capabilities, or if
  the 'COLORTERM' environment variable is set to the value "truecolor".

Did you try the COLORTERM=truecolor setting?